Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.openssh
Class PEM

    java.lang.Object
      com.sshtools.j2ssh.openssh.PEM

Direct Known Subclasses:
  PEMReader, PEMWriter

public class PEM
extends java.lang.Object

DOCUMENT ME!

Field Summary
`static java.lang.String` | `DSA_PRIVATE_KEY` DOCUMENT ME!
`protected static char[]` | `HEX_CHARS` DOCUMENT ME!
`protected static int` | `MAX_LINE_LENGTH` DOCUMENT ME!
`protected static java.lang.String` | `PEM_BEGIN` DOCUMENT ME!
`protected static java.lang.String` | `PEM_BOUNDARY` DOCUMENT ME!
`protected static java.lang.String` | `PEM_END` DOCUMENT ME!
`static java.lang.String` | `RSA_PRIVATE_KEY` DOCUMENT ME!

Constructor Summary
`PEM()`

Method Summary
`protected static javax.crypto.SecretKey` | `getKeyFromPassphrase(java.lang.String passphrase, byte[] iv, int keySize)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DSA_PRIVATE_KEY

    public static final java.lang.String DSA_PRIVATE_KEY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### RSA_PRIVATE_KEY

    public static final java.lang.String RSA_PRIVATE_KEY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PEM_BOUNDARY

    protected static final java.lang.String PEM_BOUNDARY

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PEM_BEGIN

    protected static final java.lang.String PEM_BEGIN

  DOCUMENT ME!

  See Also:
    Constant Field Values

### PEM_END

    protected static final java.lang.String PEM_END

  DOCUMENT ME!

  See Also:
    Constant Field Values

### MAX_LINE_LENGTH

    protected static final int MAX_LINE_LENGTH

  DOCUMENT ME!

  See Also:
    Constant Field Values

### HEX_CHARS

    protected static final char[] HEX_CHARS

  DOCUMENT ME!

Constructor Detail

### PEM

    public PEM()

Method Detail

### getKeyFromPassphrase

    protected static javax.crypto.SecretKey getKeyFromPassphrase(java.lang.String passphrase,
                                                                 byte[] iv,
                                                                 int keySize)
                                                          throws java.security.NoSuchAlgorithmException,
                                                                 java.security.spec.InvalidKeySpecException

  DOCUMENT ME!

  Parameters:
    `passphrase` - DOCUMENT ME!
    `iv` - DOCUMENT ME!
    `keySize` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.security.NoSuchAlgorithmException` - DOCUMENT ME!
    `java.security.spec.InvalidKeySpecException` - DOCUMENT ME!
    `java.lang.Error` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD